For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

List Companies

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies
GET
/api/v3/io/companies
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> --data-urlencode extraFields=externalID:a
200include extra fields
1{
2 "code": 200,
3 "data": [
4 {
5 "companyId": "147340",
6 "companyName": "Glam Squad Hair and Makeup Artistry",
7 "bcGroupName": "Glam Squad Hair and Makeup Artistry",
8 "companyStatus": "1",
9 "companyEmail": "support@glamsquad.com",
10 "companyPhone": "+1-415-555-0198",
11 "uuid": "a3f1c9d2-4b7e-4f9a-9c3d-2e5f7b8a9c1d",
12 "catalogId": "cat-2024-001",
13 "catalogName": "Glam Squad Product Catalog",
14 "updatedAt": "1682505600",
15 "createdAt": "1677628800",
16 "bcGroupId": 102,
17 "priceListAssign": [
18 {
19 "channelId": 5,
20 "priceListId": 12,
21 "priceListName": "Wholesale Pricing",
22 "channelName": "Online Store"
23 }
24 ],
25 "parentCompany": {
26 "id": 1,
27 "name": "Beauty Group Holdings"
28 }
29 }
30 ],
31 "meta": {
32 "message": "SUCCESS",
33 "pagination": {
34 "limit": 10,
35 "offset": 1,
36 "totalCount": 989
37 }
38 }
39}
Get a list of all companies.
Was this page helpful?
Previous

B2B Edition

Next

Create Company

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Query parameters

limitintegerOptionalDefaults to 10
Pagination limit
offsetintegerOptionalDefaults to 0
Pagination offset
minModifieddoubleOptional
Minimum modified timestamp
maxModifieddoubleOptional
Maximum modified timestamp
minCreateddoubleOptional
Minimum created timestamp
maxCreateddoubleOptional
Maximum created timestamp
sortByenumOptionalDefaults to updatedAt
Sort the result by a specific company field.
Allowed values:
orderByenumOptionalDefaults to DESC

Allow: ‘DESC’, ‘ASC’

Allowed values:
isIncludeExtraFieldsenumOptionalDefaults to 0
Whether the response will include extra fields.
Allowed values:
companyStatusenumOptional

0: PENDING 1: APPROVED 2: REJECTED 3: INACTIVE

Allowed values:
qstringOptional
Company query string
extraFieldslist of stringsOptional
Filter by extra fields.
bcOrderIdintegerOptional
A company purchases a BigCommerce order ID, which allows you to find the company by BigCommerce order ID.
orderIdstringOptional
Company purchase order ID
bcGroupIdstringOptional
BigCommerce customer group ID
customerIdintegerOptional
BigCommerce customer ID. This customer should be a B2B company user.
extraFieldFilterTypeenumOptionalDefaults to search

Extra field filter type. The search filter type allows for partial matches, while the exact-match filter type only returns results that exactly match the specified criteria.

Allowed values:

Response

OK
codedouble
datalist of objects
metaobject
Used to response pagination information